Bug 1731309 - Allow bulk update of components
Summary: Allow bulk update of components
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Extensions
Version: 5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 5.0-RH7
Assignee: Jeff Fearn 🐞
QA Contact: Lianghui Yu
URL:
Whiteboard:
Depends On: 1708041
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 03:47 UTC by Jeff Fearn 🐞
Modified: 2019-09-10 22:20 UTC (History)
1 user (show)

Fixed In Version: 5.0.4-rh29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-10 22:20:16 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2019-07-19 03:47:04 UTC
Description of problem:
The UI created in Bug 1708041 allows single row updates, we also need a way to make bulk changes in the UI.

Version-Release number of selected component (if applicable):
5.0

How reproducible:
Easy

Steps to Reproduce:
1. Try to use the Component Management UI to update more than one component at a time.

Actual results:
You can't.

Expected results:
You can.

Additional info:

Comment 1 Lianghui Yu 2019-08-23 06:06:33 UTC
Looks like we have some problem, It automatically deselect previous one when I select the next one, the select all is working properly tho, can confirm this on multiple browser.
And it have some problem to update roles, I tried to use show form, fill out or clean fields and click update rows, it has a popup widget updated * components but none of the changes were applied.
no error were outputted to error_log BTW.

Comment 2 Jeff Fearn 🐞 2019-08-23 07:06:13 UTC
(In reply to Lianghui Yu from comment #1)
> Looks like we have some problem, It automatically deselect previous one when
> I select the next one,

This is normal. If you want to select multiple rows you need to use shift or ctrl, just like in a spread sheet.

> the select all is working properly tho, can confirm
> this on multiple browser.
> And it have some problem to update roles, I tried to use show form, fill out
> or clean fields and click update rows, it has a popup widget updated *
> components but none of the changes were applied.
> no error were outputted to error_log BTW.

Can you check the browser console to see if there are any messages?

Comment 3 Lianghui Yu 2019-08-23 07:14:22 UTC
(In reply to Jeff Fearn 🐞 from comment #2)
> This is normal. If you want to select multiple rows you need to use shift or
> ctrl, just like in a spread sheet.

Okay it's working.
We should tell our user as well in the manage component page.
It's time to update the info message.


> Can you check the browser console to see if there are any messages?

Sadly there is no output in javascript console.

Comment 6 Lianghui Yu 2019-08-27 05:48:32 UTC
Verified on QE environment.
Result: PASS
All bulk edit option works as expected.

Comment 8 Jeff Fearn 🐞 2019-09-08 22:18:54 UTC
This change has been deployed to the pre-production infrastructure at https://partner-bugzilla.redhat.com

Comment 9 Jeff Fearn 🐞 2019-09-10 22:20:16 UTC
This change is now live. If there are any issues, do not reopen this
bug. Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.